<?php
if (!defined('SITE_HEADER_TITLE'))
{
    define('SITE_HEADER_TITLE', '<span class="colored">' . SITE_CONFIG_SITE_NAME . '</span> ' . PAGE_NAME);
}
if (!defined('SITE_SELECTED_PAGE'))
{
    define('SITE_SELECTED_PAGE', 'home');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html dir="ltr" lang="en-US">
    <head>
        <meta charset="utf-8">
            <title><?php echo PAGE_NAME; ?> - <?php echo SITE_CONFIG_SITE_NAME; ?></title>
            <meta content="width=device-width, initial-scale=1.0" name="viewport">
                <meta name="description" content="<?php echo PAGE_DESCRIPTION; ?>" />
                <meta name="keywords" content="<?php echo PAGE_KEYWORDS; ?>" />
                <meta name="copyright" content="Copyright &copy; <?php echo date("Y"); ?> - <?php echo SITE_CONFIG_SITE_NAME; ?>" />

                <!-- styles -->
                <link href="<?php echo SITE_CSS_PATH; ?>/css/bootstrap.css" rel="stylesheet"/>
                <link href="<?php echo SITE_CSS_PATH; ?>/css/bootstrap-responsive.css" rel="stylesheet"/>
                <link href="<?php echo SITE_CSS_PATH; ?>/css/wide_layout.css" rel="stylesheet"/>
                <link href="<?php echo SITE_CSS_PATH; ?>/css/docs.css" rel="stylesheet"/>
                <link href="<?php echo SITE_CSS_PATH; ?>/css/options.css" rel="stylesheet"/>
                <!--<link href="<?php echo SITE_CSS_PATH; ?>/css/layouts/orange.css" rel="stylesheet"/>-->
                <link href="<?php echo SITE_CSS_PATH; ?>/css/builder.css" rel="stylesheet"/>     
                <link rel="stylesheet" href="<?php echo SITE_CSS_PATH; ?>/screen.css" type="text/css" charset="utf-8" />
                <link href="<?php echo SITE_CSS_PATH; ?>/css/fonts.css" id="gOpenSans-css" media="all" rel="stylesheet" type="text/css"/>
				<link href="<?php echo SITE_CSS_PATH; ?>/css/font-awesome.min.css" rel="stylesheet"/>
                
                <?php if(SITE_CONFIG_SITE_THEME == 'v3'): ?>
                <link href="<?php echo SITE_CSS_PATH; ?>/css/layouts/<?php echo SITE_CONFIG_SITE_THEME_STYLE; ?>.css" media="all" rel="stylesheet" type="text/css"/>
                <?php endif; ?>
				<?php pluginHelper::outputCss(); ?>

                <!-- fav and touch icons -->
                <!--<link href="<?php echo SITE_IMAGE_PATH; ?>/favicon.ico" rel="shortcut icon"/>-->

                <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
                <!--[if lt IE 9]>
                <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
                <![endif]-->
                <!--[if lte IE 8]>
                <link rel="stylesheet" type="text/css" href="assets/css/ie.css"/>
                <![endif]-->

                <script>
                    <?php echo translate::generateJSLanguageCode(); ?>
                </script>
                <script src="<?php echo SITE_JS_PATH; ?>/jquery.min.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/jquery-ui-1.10.2.custom.min.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/jquery.tweet.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/bootstrap.min.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/jquery.easing.1.3.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/jflickrfeed.min.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/testimonialrotator.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/jquery.waitforimages.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/theme/custom.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/jquery.dataTables.min.js"></script>
                <script src="<?php echo SITE_JS_PATH; ?>/jquery.autosize-min.js"></script>
				<script src="<?php echo SITE_JS_PATH; ?>/ZeroClipboard/ZeroClipboard.min.js"></script>
				<?php pluginHelper::outputJs(); ?>
                </head>
                <body>
                    <?php if (_CONFIG_DEMO_MODE == true): ?>
                        <div id="demoBanner">
                            <span onClick="window.location='http://nullrefer.com/?http://wurlie.net';">Want a copy of this site? <a href="http://nullrefer.com/?http://wurlie.net" style="text-decoration: underline;">Click here</a> for more information...&nbsp;&nbsp;</span>&nbsp;&nbsp;</span><?php echo inPluginDemoMode()?'<a href="'.WEB_ROOT.'/?_p=0" style="text-decoration: none;">[disable all plugins]</a>&nbsp;&nbsp;':'<a href="'.WEB_ROOT.'/?_p=1" style="text-decoration: none;">[enable all plugins]</a>&nbsp;&nbsp;'; ?><a href="#" onClick="jQuery('#demoBanner').fadeOut(); return false;" style="text-decoration: none;">(close)</a>
                        </div>
                    <?php endif; ?>
                    <div class="wide_cont">
                        <!-- START TOP LINE-->
                        <div class="top_line"></div>
                        <!-- END TOP LINE-->

                        <!--PAGE HEAD-->
                        <div class="page_head">
                            <div class="container">
                                <div class="row">
                                    <div class="span3">
                                        <!--START LOGO IMAGE-->
                                        <div class="logo">
                                            <a href="<?php echo WEB_ROOT; ?>">
                                                <?php
                                                $logoFilename = '_default';
                                                if(SITE_CONFIG_SITE_THEME == 'v3')
                                                {
                                                    $logoFilename = SITE_CONFIG_SITE_THEME_STYLE;
                                                }
                                                ?>
                                                <img src="<?php echo SITE_IMAGE_PATH; ?>/logo/<?php echo $logoFilename; ?>.png" alt="<?php echo SITE_CONFIG_SITE_NAME; ?>"/>
                                            </a>
                                        </div>
                                        <!-- END LOGO IMAGE-->
                                    </div>
                                    <div class="span9">
                                        <!-- START MAIN MENU-->
                                        <nav>
                                            <ul class="menu sf-js-enabled sf-shadow">
                                                <li<?php echo SITE_SELECTED_PAGE == "home" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/index.html"><?php echo strtoupper(t('create_url', 'create url')); ?></a></li>
                                                <?php if (!$Auth->loggedIn()): ?>
                                                    <li<?php echo SITE_SELECTED_PAGE == "register" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/register.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('register', 'register')); ?></a></li>
                                                    <?php
													$links = array(); 

													// include any plugin includes 
													$links = pluginHelper::includeAppends('_header_nav.php', $links); 
													 
													// output nav 
													echo implode('', $links);
													?>
													<?php if (UserPeer::enableUpgradePage() == 'yes'): ?>
													<li<?php echo SITE_SELECTED_PAGE == "upgrade" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/upgrade.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="sf-with-ul"><?php echo strtoupper(t('premium', 'premium')); ?></a>
													</li>
													<?php endif; ?>
                                                    <li<?php echo SITE_SELECTED_PAGE == "faq" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/faq.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('faq', 'faq')); ?></a></li>
                                                    <li<?php echo SITE_SELECTED_PAGE == "tools" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/tools.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="sf-with-ul"><?php echo strtoupper(t('tools', 'tools')); ?></a>
													</li>
                                                    <?php if (SITE_CONFIG_SHOW_RECENT_URLS == 'yes'): ?>
                                                        <li<?php echo SITE_SELECTED_PAGE == "recent_urls" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/recent_urls.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('recent_urls', 'recent urls')); ?></a></li>
                                                    <?php endif; ?>
                                                    <li<?php echo SITE_SELECTED_PAGE == "login" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/login.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('login', 'login')); ?></a></li>
                                                <?php else: ?>
													<?php
													$links = array(); 
													$links['account_home'] = '<li'.(SITE_SELECTED_PAGE == "account_home" ? ' class="current-menu-item"' : '').'><a href="'.WEB_ROOT.'/account_home.'.SITE_CONFIG_PAGE_EXTENSION.'">'.strtoupper(t('your_urls', 'your urls')).' ('.$Auth->username.')</a></li>'; 

													// include any plugin includes 
													$links = pluginHelper::includeAppends('_header_nav.php', $links); 
													 
													// output nav 
													echo implode('', $links); 
													?>
													<?php if (UserPeer::enableUpgradePage() == 'yes'): ?>
													<li<?php echo SITE_SELECTED_PAGE == "upgrade" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/upgrade.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="sf-with-ul"><?php echo strtoupper(t('upgrade', 'upgrade')); ?></a>
													</li>
													<?php endif; ?>
													<li<?php echo SITE_SELECTED_PAGE == "tools" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/tools.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="sf-with-ul"><?php echo strtoupper(t('tools', 'tools')); ?></a>
													</li>
                                                    <li<?php echo SITE_SELECTED_PAGE == "account_edit" ? ' class="current-menu-item"' : ''; ?>><a href="<?php echo WEB_ROOT; ?>/account_edit.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('settings', 'settings')); ?></a></li>
                                                    <li><a href="<?php echo WEB_ROOT; ?>/logout.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>"><?php echo strtoupper(t('logout', 'logout')); ?></a></li>
                                                <?php endif; ?>
                                            </ul>
                                        </nav>
                                        <!-- END MAIN MENU-->
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--/PAGE HEAD-->

                        <!--WELCOME AREA-->
                        <div class="tag_line">
                            <div class="container">
                                <div class="row">
                                    <div class="span12">
                                        <div class="welcome">
                                            <h3><?php echo SITE_HEADER_TITLE; ?></h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--/WELCOME AREA-->

                        <!--MAIN CONTENT AREA-->
                        <div class="main_content_area">
                            <div class="container">   
                                <div class="row">
