<?php
/* setup includes */
require_once('includes/master.inc.php');

/* require login */
$Auth->requireUser('login.php');

/* delete url */
if (isset($_REQUEST['d']))
{
	if (_CONFIG_DEMO_MODE == true)
    {
        setError(t("no_changes_in_demo_mode"));
    }
	else
	{
		$folder = $db->getRow("SELECT * FROM shorturl_folder WHERE id=" . (int) $_REQUEST['d'] . " AND user_id=" . $Auth->id . " LIMIT 1");
		if ($folder)
		{
			// remove associations to short urls
			$db->query("UPDATE shorturl SET shortUrlFolder=null WHERE shortUrlFolder = " . $folder['id']);

			// delete folder
			$db->query("DELETE FROM shorturl_folder WHERE id = " . $folder['id'] . " LIMIT 1");

			// set success message
			setSuccess(t("folder_permanently_deleted_success_message", "The folder has been permanently deleted."));
		}
	}
}

// get folder listing
$folderListing = $db->getRows("SELECT id, folder_name FROM shorturl_folder WHERE user_id = " . $Auth->id . " ORDER BY folder_name");

/* setup page */
define("PAGE_NAME", t("folder_management_page_name", "Folder Management"));
define("PAGE_DESCRIPTION", t("folder_management_meta_description", "Folder Management"));
define("PAGE_KEYWORDS", t("folder_management_meta_keywords", "account, home, shorturl, your, interface, short, url, site"));
define("SITE_SELECTED_PAGE", "account_home");

require_once('_header.php');
?>

<script>
    $ = jQuery;
    oTable = null;
    $(document).ready(function() {
        oTable = $('#folderData').dataTable({
            "sPaginationType": "full_numbers",
            "aaSorting": [[1, "asc"]],
            "bAutoWidth": false,
            "aoColumns": [
                {"bSortable": false, sClass: "alignCenter mobileHide"},
                {"bSortable": true},
                {"bSortable": true, sClass: "alignCenter mobileHide tabletHide"},
                {"bSortable": false, sClass: "alignCenter"}
            ],
            "bServerSide": true,
            "bProcessing": true,
            "sAjaxSource": '_account_folder.ajax.php',
            "fnRowCallback": function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
                return nRow;
            },
            "fnServerData": function(sSource, aoData, fnCallback) {
                aoData.push({"name": "filterText", "value": $('#filterText').val()});
                $.ajax({
                    "dataType": 'json',
                    "type": "GET",
                    "url": "_account_folder.ajax.php",
                    "data": aoData,
                    "success": fnCallback
                });
            },
            "oLanguage": {
                "oPaginate": {
                    "sFirst": "<?php echo safeOutputToScreen(t('paging_first', 'First')); ?>",
                    "sLast": "<?php echo safeOutputToScreen(t('paging_last', 'Last')); ?>",
                    "sNext": "<?php echo safeOutputToScreen(t('paging_next', 'Next')); ?>",
                    "sPrevious": "<?php echo safeOutputToScreen(t('paging_previous', 'Previous')); ?>"
                },
                "sEmptyTable": "<?php echo safeOutputToScreen(t('datatable_empty_no_folders_found', 'No folders found.')); ?>",
                "sInfo": "<?php echo safeOutputToScreen(t('datatable_data_info', 'Showing _START_ to _END_ of _TOTAL_ entries')); ?>",
                "sLengthMenu": "<?php echo safeOutputToScreen(t('datatable_per_page', 'Show _MENU_ entries')); ?>"
            }
        });

        // update custom filter
        $('.dataTables_filter').html($('#customFilter').html());
    });

    function reloadTable()
    {
        oTable.fnDraw();
    }
</script>

<div class="span12">
    <?php
    if (isSuccess())
    {
        echo outputSuccess();
    }
    elseif (isErrors())
    {
        echo outputErrors();
    }
    ?>
    <p>
        <?php echo t('account_folder_intro_text', 'Manage your short url folders using the table below.'); ?>
        <br/>
    </p>
    <div class="clear"><!-- --></div>

    <div class="accountHomeWrapper">
        <p class="introText">
            <?php
            echo '<table id="folderData" class="table table-bordered table-striped" width="100%" cellpadding="3" cellspacing="0">';
            echo '<thead>';
            echo '<th style="width: 30px;" class="ui-state-default"></th>';
            echo '<th class="ui-state-default" style="text-align: left;">' . t('folder_name', 'Folder Name:') . '</th>';
            echo '<th  style="width: 135px; text-align: center;"class="ui-state-default">' . t('active_urls', 'Active Urls:') . '</th>';
            echo '<th style="width: 90px; text-align: center;" class="ui-state-default">' . t('options', 'Options:') . '</th>';
            echo '</thead>';
            echo '<tbody>';
            echo '</tbody>';
            echo '</table>';
            ?>
        </p>
        <div class="clear"></div>
    </div>
    
    <div class="buttonWrapper">
        <form method="POST" action="account_folder_add.html">
            <button type="submit" name="submit" class="btn btn-primary" tabindex="99"><?php echo t("add_folder", "add folder"); ?></button>
        </form>
    </div>
    <div class="clear"></div>
</div>

<div class="customFilter" id="customFilter" style="display: none;">
    <div class="filterItem filterText">
        <label for="filterText">
            <?php echo t('filter_results', 'Filter Results'); ?>:
        </label>
        <input name="filterText" id="filterText" type="text" value="<?php echo safeOutputToScreen($filterText); ?>" onKeyUp="reloadTable();
        return false;" style="width: 160px;"/>
    </div>
</div>

<?php
require_once('_footer.php');
?>