<?php
/* setup includes */
require_once('includes/master.inc.php');

/* require login */
$Auth->requireUser('login.php');

/* load user */
$user = UserPeer::loadUserById($Auth->id);
if (!$user)
{
    redirect(WEB_ROOT);
}

/* setup page */
define("PAGE_NAME", t("folder_management_add_page_name", "Add Folder"));
define("PAGE_DESCRIPTION", t("folder_management_add_meta_description", "Add Folder"));
define("PAGE_KEYWORDS", t("folder_management_add_meta_keywords", "details, account, short, url, user"));
define("SITE_SELECTED_PAGE", "account_edit");

/* update user */
if ((int) $_REQUEST['submitme'])
{
    // validation
    $folder_name = trim($_REQUEST['folder_name']);
    $folder_name = strip_tags($folder_name);

    if (!strlen($folder_name))
    {
        setError(t("please_enter_the_folder_name", "Please enter the folder name"));
    }
	elseif (_CONFIG_DEMO_MODE == true)
    {
        setError(t("no_changes_in_demo_mode"));
    }
    else
    {
        $checkFolder = $db->getValue("SELECT id FROM shorturl_folder WHERE user_id = " . $Auth->id . " AND folder_name=" . $db->quote($folder_name) . " LIMIT 1");
        if ($checkFolder)
        {
            // username exists
            setError(t("folder_already_exists", "Folder already exists on your account"));
        }
    }

    // update the account
    if (!isErrors())
    {
        $db = Database::getDatabase(true);
        $rs = $db->query('INSERT INTO shorturl_folder (user_id, folder_name, date_created) VALUES (:user_id, :folder_name, NOW())', array('user_id' => $Auth->id, 'folder_name'=>$folder_name));
        if ($rs)
        {
            setSuccess(t("folder_added_click_here_success_message", "Folder successfully added. <a href='account_folder.html'>Click here</a> to go back to your folder listing."));
        }
        else
        {
            setError(t("problem_adding_folder_please_try_again_later", "There was a problem adding the folder, please try again later"));
        }
    }
}

require_once('_header.php');
?>

<div class="span9 page_sidebar accountDetails">

    <?php
    if (isSuccess())
    {
        echo outputSuccess();
    }
    elseif (isErrors())
    {
        echo outputErrors();
    }
    ?>

    <div class="well">
        <h5><?php echo t("folder_details", "Folder Details"); ?></h5>
        <hr/>
        <p>
            <?php echo t('use_the_form_below_to_create_a_new_folder', 'Use the form below to create a new folder.'); ?>
        </p>
        <form method="post" action="<?php echo WEB_ROOT; ?>/account_folder_add.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="form">
            <div>
                <label for="folder_name">
                    <?php echo t("folder_name", "Folder Name"); ?>:
                </label>
                <input type="text" tabindex="1" value="<?php echo isset($folder_name) ? safeOutputToScreen($folder_name) : ''; ?>" id="folder_name" name="folder_name">
            </div>
            <div class="clear" style="padding-bottom: 18px;"></div>

            <div class="buttonWrapper">
                <button type="submit" name="submit" class="btn btn-primary" tabindex="99"><?php echo t("add_folder", "add folder"); ?></button>
            </div>
            <div class="clear"></div>

            <input type="hidden" value="1" name="submitme"/>
        </form>
    </div>
</div>
<?php include_once("_bannerRightContent.inc.php"); ?>

<?php
require_once('_footer.php');
?>