<?php

// includes and security
include_once('../_local_auth.inc.php');

$iDisplayLength = (int) $_REQUEST['iDisplayLength'];
$iDisplayStart  = (int) $_REQUEST['iDisplayStart'];
$sSortDir_0     = $_REQUEST['sSortDir_0'] ? $_REQUEST['sSortDir_0'] : "desc";
$filterText     = $_REQUEST['filterText'] ? $_REQUEST['filterText'] : "";

// get sorting columns
$iSortCol_0     = (int) $_REQUEST['iSortCol_0'];
$sColumns       = trim($_REQUEST['sColumns']);
$arrCols        = explode(",", $sColumns);
$sortColumnName = $arrCols[$iSortCol_0];
$sort           = 'domain';
switch ($sortColumnName)
{
    case 'domain':
        $sort = 'domain';
        break;
    case 'access_type':
        $sort = 'premium_only';
        break;
    case 'status':
        $sort = 'status';
        break;
    case 'total_urls':
        $sort = '(SELECT COUNT(id) FROM shorturl WHERE shorturl.userId=users.id AND shorturl.status=\'active\')';
        break;
}

$sqlClause = "WHERE 1=1 ";
if ($filterText)
{
    $filterText = $db->escape($filterText);
    $sqlClause .= "AND (url_domain.domain LIKE '%" . $filterText . "%')";
}

$totalRS   = $db->getValue("SELECT COUNT(url_domain.id) AS total FROM url_domain " . $sqlClause);
$limitedRS = $db->getRows("SELECT url_domain.*, (SELECT COUNT(id) FROM shorturl WHERE shorturl.urlDomainId=url_domain.id) AS totalUrls FROM url_domain " . $sqlClause . " ORDER BY " . $sort . " " . $sSortDir_0 . " LIMIT " . $iDisplayStart . ", " . $iDisplayLength);

$data = array();
if (COUNT($limitedRS) > 0)
{
    foreach ($limitedRS AS $row)
    {
        $lRow      = array();
        $icon      = 'assets/images/icons/server/16x16/ftp.png';
        $lRow[]    = '<img src="' . $icon . '" width="16" height="16" title="Domain" alt="Domain"/>';
        $lRow[]    = adminFunctions::makeSafe(str_replace("[[[main_url]]]", _CONFIG_SITE_HOST_URL, $row['domain']));
        $lRow[]    = adminFunctions::makeSafe(number_format($row['totalUrls'], 0));
        $typeLabel = 'All Users';
        if ($row['premium_only'] == 1)
        {
            $typeLabel = 'Registered Users';
        }
        elseif ($row['premium_only'] == 2)
        {
            $typeLabel = 'Only Paid Users';
        }
        $lRow[] = adminFunctions::makeSafe($typeLabel);
        $lRow[] = '<span class="statusText' . str_replace(" ", "", UCWords($row['status'])) . '">' . $row['status'] . '</span>';

        $links   = array();
        $links[] = '<a href="url_domain_edit.php?id=' . $row['id'] . '">edit</a>';
        $links[] = '<a href="shorturl_manage.php?filterByDomain=' . $row['id'] . '">urls</a>';
        if($row['domain'] != "[[[main_url]]]")
        {
            $links[] = '<a onClick="return confirm(\'Are you sure you want to remove this short url domain? Any short url data, including all previous urls and statistics on this domain, will be deleted.\');" href="url_domain_manage.php?delete=' . $row['id'] . '">delete</a>';
        }
        $lRow[]  = implode(" | ", $links);

        $data[] = $lRow;
    }
}

$resultArr                         = array();
$resultArr["sEcho"]                = intval($_GET['sEcho']);
$resultArr["iTotalRecords"]        = (int) $totalRS;
$resultArr["iTotalDisplayRecords"] = $resultArr["iTotalRecords"];
$resultArr["aaData"]               = $data;

echo json_encode($resultArr);
