<?php

class Api_Hook_ApiKey extends Api_Hook_IHook
{
    public function execute()
    {
        $params = $this->api->getRequest()->getParams();
        if(!isset($params['key']) || strlen($params['key']) == 0)
        {
            throw new Api_Error('Not allowed', 'API key is invalid');
        }
        
        // lookup API key in db
        $user = UserPeer::loadUserByAPIKey($params['key']);
        if(!$user)
        {
            throw new Api_Error('Not allowed', 'API key is invalid');
        }
        
        // make sure the account is active
        if($user->status != 'active')
        {
            throw new Api_Error('Not allowed', 'API key is invalid');
        }
    }
}
