<?php
/* setup includes */
require_once('includes/master.inc.php');

/* setup page */
define("PAGE_NAME", t("bookmarklet_page_name", "Bookmarklet"));
define("PAGE_DESCRIPTION", t("bookmarklet_meta_description", "Bookmarklet"));
define("PAGE_KEYWORDS", t("bookmarklet_meta_keywords", "bookmarklet, tools, short, url, bookmarklet, api, application, programming, interface, short, url, site"));
define("SITE_SELECTED_PAGE", "tools");

require_once('_header.php');
?>

<div class="span12">
    <div class="row">
        <div class="span3 page_sidebar">
            <?php include_once('_tools_left_nav.inc.php'); ?>
        </div>
        <div class="span9 api_docs">
            <h4><?php echo t('browser_bookmarklet', 'Browser Bookmarklet'); ?></h4>
            <p><?php echo t('browser_bookmarklet_intro1', 'Shorten any website url you\'ve visiting straight from your browser toolbar. Add our clever bookmarklet widget by dragging the following link to your browsers bookmark or links toolbar. Simple!'); ?></p>
			
			<p><?php echo t('browser_bookmarklet_intro2', 'Then the next time you want to create a shortened link, just visit the web page and click the \'Create Short Url\' button.'); ?></p>

			<p style="padding-top: 8px;">
			<a href="javascript:void(location.href='<?php echo WEB_ROOT; ?>/index.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>?agreeTerms=1&submitted=1&longUrl='+encodeURIComponent(location.href.replace('http://','')));" onClick="alert(t('toolbar_quicklink_alert'));
                                return false;" class="btn mrgbtm35"><span style=""><?php echo t("create_short_url", "Create Short Url"); ?></span>
                            <img alt="<?php echo t("create_short_url", "Create Short Url"); ?>" src="<?php echo SITE_IMAGE_PATH; ?>/plus_icon.png"/>
                        </a>
			</p>
			
			<h4><?php echo t('browser_twitter_bookmarklet', 'Browser Twitter Bookmarklet'); ?></h4>
            <p><?php echo t('browser_bookmarklet_intro3', 'You can also post short urls straight from your browser toolbar to Twitter.'); ?></p>
			
			<p style="padding-top: 8px;">
			<a href="javascript:void(location.href='<?php echo WEB_ROOT; ?>/index.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>?agreeTerms=1&submitted=1&postToTwitter=1&longUrl='+encodeURIComponent(location.href.replace('http://','')));" onClick="alert(t('twitter_quicklink_alert'));
                                return false;" class="btn mrgbtm35"><span style=""><?php echo t("post_on_twitter", "Quick Post To Twitter"); ?></span>
                            <img alt="<?php echo t("post_on_twitter", "Quick Post To Twitter"); ?>" src="<?php echo SITE_IMAGE_PATH; ?>/twitter_icon.png"/>
                        </a>
			</p>
        </div>
    </div>
</div>


<?php
require_once('_footer.php');
?>