<?php

/* setup includes */
require_once('includes/master.inc.php');

/* require login */
$Auth->requireUser('login.php');
// get base urls
$shortUrlDomains = getShortUrlDomains();
$folderListing   = $db->getRows("SELECT id, folder_name FROM shorturl_folder WHERE user_id = ".$Auth->id." ORDER BY folder_name");
$amended         = '';
if(isset($_REQUEST['submitted']))
{
    $html           = $_REQUEST['html'];
    $shortUrlDomain = (int)$_REQUEST['shortUrlDomain'];
    $shortUrlFolder = (int)$_REQUEST['shortUrlFolder'];
    $result         = convertHtmlLinks($html, $shortUrlDomain, $shortUrlFolder, $Auth->id);
    $list           = explode(':::', $result);
    $amended        = $list[1];
    $count          = $list[0];
    if($result)
    {
        setSuccess(t('convert_html_links_success', 'Your html containing [[[REPLACED]]] links was successfully converted.', array('REPLACED' => $count)));
    }
}

/* setup page */
define("PAGE_NAME", t("convert_html_links_page_name", "Convert HTML Links"));
define("PAGE_DESCRIPTION", t("convert_html_links_meta_description", "Convert HTML Links"));
define("PAGE_KEYWORDS", t("convert_html_links_meta_keywords", "account, home, shorturl, your, interface, short, url, site"));
define("SITE_SELECTED_PAGE", "tools");

require_once('_header.php');

?>

<div class="span12">
    <div class="row">
        <div class="span3 page_sidebar">
            <?php include_once('_tools_left_nav.inc.php'); ?>
        </div>
        <div class="span9 api_docs">
            <h4><?php echo t('convert_html_page_name', "Convert HTML Links"); ?></h4>
            <?php
            if (isErrors())
            {
                echo outputErrors();
            }
            else
            {
                echo outputSuccess();
            }
            ?>
            <p><?php echo t('convert_html_page_intro', 'On this page you can insert your page html to have your links automatically converted to short urls, and the result will be displayed on screen.'); ?></p>
            <div class="clear"></div>
            <form action="convert_html_links.html" enctype="multipart/form-data" method="POST">
            <p class="input"><textarea name="html" id="html" rows="10" class="info"><?php echo ($amended ? safeOutputToScreen($amended) : ''); ?></textarea></p>
            <div class="span4">
                <div>
                    <label for="shortUrlDomain"><?php echo t("short_url_domain", "Short Url Domain"); ?>:</label>
                    <select id="shortUrlDomain" name="shortUrlDomain" style="width: 100%;">
                        <?php
                        foreach ($shortUrlDomains AS $k => $shortUrlDomain)
                        {
                            if($shortUrlDomain['status'] != 'enabled')
                            {
                                continue;
                            }
                            $disabled = false;
                            if(($shortUrlDomain['premium_only'] == 1) && ($Auth->level == 'guest'))
                            {
                                $disabled = true;
                            }
                            elseif(($shortUrlDomain['premium_only'] == 2) && (in_array($Auth->level, array('guest', 'free user', 'user'))))
                            {
                                $disabled = true;
                            }
                            if(($shortUrlDomain['premium_only'] == 1) && ($lastPremiumOnly != $shortUrlDomain['premium_only']))
                            {
                                echo '<optgroup label="'.safeOutputToScreen(t("registered_users_only", "Registered Users Only")).'">';
                            }                            
                            if(($shortUrlDomain['premium_only'] == 2) && ($lastPremiumOnly != $shortUrlDomain['premium_only']))
                            {
                                echo '</optgroup>';
                                echo '<optgroup label="'.safeOutputToScreen(t("paid_users_only", "Paid Users Only")).'">';
                            }                            
                            $lastPremiumOnly = $shortUrlDomain['premium_only'];
    
                            echo '<option value="' . (int) $k . '"';
                            
                            if(isset($_REQUEST['shortUrlDomain']))
                            {
                                if ($k == (int) $_REQUEST['shortUrlDomain'])
                                {
                                    echo ' SELECTED';
                                }
                            }
                            if($disabled == true)
                            {
                                echo ' disabled="disabled"';
                            }
    
                            echo '>';
    
                            echo $shortUrlDomain['domain'];
                            if($disabled == true)
                            {
                                echo ' ('.safeOutputToScreen(t('unavailable', 'unavailable')).')';
                            }
                            
                            '</option>';
                        }
                        echo '</optgroup>';
                        ?>
                    </select>
                </div>
            </div>
            <div class="span4">
                <div>
                    <label for="shortUrlFolder"><?php echo t("convert_html_save_links_to_folder", "Save Links To Folder"); ?>:</label>
                    <select id="shortUrlFolder" name="shortUrlFolder">
                        <option value="">- <?php echo t('none', 'none'); ?>-</option>
                        <?php
                        foreach ($folderListing AS $folderItem)
                        {
                            echo '<option value="' . $folderItem['id'] . '"';
                            if ($folderItem['id'] == (int)$_REQUEST['shortUrlFolder'])
                            {
                                echo ' SELECTED';
                            }
                            echo '>' . $folderItem['folder_name'] . '</option>';
                        }
                        ?>
                    </select>
                </div>
            </div>
            <div class="clear">&nbsp;</div>
            <div class="span9"><strong><?php echo t('convert_html_page_disclaimer', 'The html you insert must contain Absolute links, meaning that links must begin with http(s)://www.domain.com. Html submitted which does not contain absolute links, will not be converted.'); ?></strong></div>
            <div class="span8">
            <p style="text-align: center;"><button type="submit" name="submit" class="btn btn-primary" tabindex="99"><?php echo t("convert_html_links", "convert html links"); ?></button></p>
            </div>
            <input type="hidden" name="submitted" value="1"/>
        </form>
    </div>
</div>

<?php
require_once('_footer.php');
?>