<?php
/* setup includes */
require_once('includes/master.inc.php');

/* setup page */
define("PAGE_NAME", t("faq_page_name", "FAQ"));
define("PAGE_DESCRIPTION", t("faq_meta_description", "Frequently Asked Questions"));
define("PAGE_KEYWORDS", t("faq_meta_keywords", "faq, frequently, asked, questions, short, url, site"));
define("SITE_SELECTED_PAGE", "faq");

require_once('_header.php');
?>

<div class="span9 page_sidebar">
    <?php
    if (isErrors())
    {
        echo outputErrors();
    }
    ?>
    <div class="faq">
        <?php
        echo t('faq_page_content', '<div>
            <h4>How can my site benefit from using shortened urls?</h4>
            Shorten long urls such as:<br/><br/>
            <pre>http://maps.google.co.uk/maps?oe=utf-8&client=firefox-a&rlz=1R1GGLL_en-GB___GB423&um=1&ie=UTF-8&q=google+maps+big+ben<br/>&fb=1&gl=uk&hq=google+maps+big+ben&hnear=google+maps+big+ben&cid=0,0,7629721680134612<br/>123&ei=AukATpvoBpDA8QPaq4mzDQ&sa=X&oi=local_result&ct=image&resnum=1&ved=0CCAQnwIwAA</pre>
            <br/>
            Into a shorter version such as:<br/><br/>
            <pre><a href="http://[[[_CONFIG_SITE_FULL_URL]]]">http://[[[_CONFIG_SITE_FULL_URL]]]/a</a></pre>
            <br/>
            Then post to Twitter, Facebook, send via email, use on your existing website, advertising, affiliate links, the uses are endless.
            <hr>
        </div>
        <div>
            <h4>How can I view how many visitors have clicked on my short url?</h4>
            You can see details stats including unique visitors, visiting countries, browsers and more by adding <code>~s</code> onto the end of your short url.
            <hr>
        </div>
        <div>
            <h4>Can I automatically expire my urls after x clicks?</h4>
            Yes. When you create the url, you can specify a \'total uses\' value which only allows the short url to be used this amount of times. The url will be expired after the total visits reaches this value.
            <hr>
        </div>
        <div>
            <h4>Can I protect my short with a password?</h4>
            Yes. When creating the url, specify a password within the \'password\' input. The visitor will be prompted to enter the password when the visit the url.
            <hr>
        </div>
        <div>
            <h4>How many urls can I create?</h4>
            There are no limits on the amount of urls you can create.
            <hr>
        </div>
        <div>
            <h4>What are the benefits of registering an account?</h4>
            View and manage all your short urls in one place. Easily view your url statistics and share your urls through social media.
            <hr>
        </div>', array('_CONFIG_SITE_FULL_URL'=>_CONFIG_SITE_FULL_URL));
        ?>
        <div class="clear"></div>
    </div>
</div>

<?php include_once("_bannerRightContent.inc.php"); ?>
<div class="clear"><!-- --></div>

<?php
require_once('_footer.php');
?>