<?php
/* setup includes */
require_once('includes/master.inc.php');

// check for pending hash
$userId       = (int) $_REQUEST['u'];
$passwordHash = $_REQUEST['h'];
$user         = UserPeer::loadUserByPasswordResetHash($passwordHash);
if (!$user)
{
    redirect(WEB_ROOT);
}

// check user id passed is valid
if ($user->id != $userId)
{
    redirect(WEB_ROOT);
}

/* setup page */
define("PAGE_NAME", t("forgot_password_page_name", "Forgot Password"));
define("PAGE_DESCRIPTION", t("forgot_password_meta_description", "Forgot account password"));
define("PAGE_KEYWORDS", t("forgot_password_meta_keywords", "forgot, password, account, short, url, user"));
define("SITE_SELECTED_PAGE", "login");
$success = false;

/* register user */
if ((int) $_REQUEST['submitme'])
{
    // validation
    $password        = trim($_REQUEST['password']);
    $confirmPassword = trim($_REQUEST['confirmPassword']);
    if (!strlen($password))
    {
        setError(t("please_enter_your_password", "Please enter your new password"));
    }
    elseif ((strlen($password) < 6) || (strlen($password) > 20))
    {
        setError(t("password_length_incorrect", "Password should be between 6 - 20 characters in length"));
    }
    elseif (containsInvalidCharacters(strtolower($password, 'abcdefghijklmnopqrstuvwxyz1234567890@~#!-_£$&*()^%}{()')))
    {
        setError(t("password_contains_illegal_characters", "Password contains invalid characters, please choose another."));
    }
    elseif ($password != $confirmPassword)
    {
        setError(t("password_confirmation_does_not_match", "Your password confirmation does not match"));
    }

    // create the account
    if (!isErrors())
    {
        // update password
        $db = Database::getDatabase(true);
        $db->query('UPDATE users SET passwordResetHash = "", password = :password WHERE id = :id', array('password' => MD5($password), 'id'       => $userId));

        // success
        $success = true;
    }
}

require_once('_header.php');
?>

<div class="span9 page_sidebar">
    <?php
    if (isErrors())
    {
        echo outputErrors();
    }
    ?>
    <div class="well">
        <h5><?php echo t("forgot_password", "forgot password"); ?></h5>
        <hr/>
        <?php if ($success === true): ?>
            <p class="introText">
                <?php echo t("forgot_password_reset_confirm_intro_text", "Your password has been reset. You can now login to the site above."); ?>
            </p>
        <?php else: ?>
            <p class="introText">
                <?php echo t("forgot_password_reset_intro_text", "Set your new password below to access your account."); ?>
            </p>
            <form method="post" action="<?php echo WEB_ROOT; ?>/forgot_password_reset.<?php echo SITE_CONFIG_PAGE_EXTENSION; ?>" class="join" autocomplete="off">
                <div>
                    <label for="password">
                        <?php echo t("password", "Password"); ?>
                    </label>
                    <input type="password" value="" id="password" name="password">
                </div>

                <div>
                    <label for="confirmPassword">
                        <?php echo t("confirm_password", "Confirm Password"); ?>
                    </label>
                    <input type="password" value="" id="confirmPassword" name="confirmPassword">
                </div>

                <div class="buttonWrapper">
                    <button type="submit" name="submit" class="btn btn-primary" tabindex="99"><?php echo t("update_password", "update password"); ?></button>
                </div>
                <div class="clear"></div>

                <input type="hidden" value="1" name="submitme"/>
                <input type="hidden" value="<?php echo (int) $_REQUEST['u']; ?>" name="u"/>
                <input type="hidden" value="<?php echo safeOutputToScreen($_REQUEST['h']); ?>" name="h"/>
            </form>
        <?php endif; ?>
    </div>
</div>

<?php include_once("_bannerRightContent.inc.php"); ?>

<?php
require_once('_footer.php');
?>