CREATE TABLE IF NOT EXISTS `plugin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plugin_name` varchar(150) COLLATE utf8_bin NOT NULL,
  `folder_name` varchar(100) COLLATE utf8_bin NOT NULL,
  `plugin_description` varchar(255) COLLATE utf8_bin NOT NULL,
  `is_installed` int(1) NOT NULL DEFAULT '0',
  `date_installed` datetime NOT NULL,
  `plugin_settings` text COLLATE utf8_bin NOT NULL,
  `plugin_enabled` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

UPDATE `site_config` SET `availableValues` = '["key","translation"]' WHERE `site_config`.`id` = 21;
ALTER TABLE `language` ADD `isLocked` INT( 1 ) NOT NULL;
UPDATE `language` SET `isLocked` = '1' WHERE `language`.`id` =1;
ALTER TABLE `language` ADD `flag` VARCHAR( 20 ) NOT NULL;
UPDATE `language` SET `flag` = 'us' WHERE `language`.`id` =1;
UPDATE `language_content` SET content = REPLACE(content , ':', '') WHERE languageId=1;
UPDATE `language_key` SET defaultContent = REPLACE(defaultContent, ':', '');

ALTER TABLE `shorturl` ADD `adminNotes` TEXT NOT NULL;

UPDATE `site_config` SET `config_description` = 'Site language for text conversions <a href="translation_manage.php">(manage languages)</a>' WHERE `config_key` = 'site_language';
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'generate_short_url_type', 'Shortest', 'What format to generate the short url in. Shortest will increment based on the previous url. Hashed will create a longer random character hash.', '["Shortest","Medium Hash","Long Hash"]', 'select', 'Short Url Config');
UPDATE `site_config` SET `availableValues` = '["v3"]' WHERE `site_config`.`id` = 9;
UPDATE `site_config` SET `config_value` = 'v3' WHERE `config_value` = 'blue_v2';
UPDATE `site_config` SET `config_value` = 'v3' WHERE `config_value` = 'green_v2';
UPDATE `site_config` SET `config_value` = 'v3' WHERE `config_value` = 'orange_v2';

INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'malware_google_safe_api_key', '', 'Enter your Google Safe Browsing API key to enable Google malware/phishing protection. Register <a href="https://developers.google.com/safe-browsing/key_signup" target="_blank">here</a>.', '', 'string', 'Malware/Phishing Protection');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'malware_phishtank_api_key', '', 'Enter your Phishtank API key to enable Phishtank malware/phishing protection. Register <a href="https://www.phishtank.com/register.php" target="_blank">here</a>.', '', 'string', 'Malware/Phishing Protection');
DELETE FROM `site_config` WHERE `config_key`='enable_api_auth';

INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'create_url_show_terms_checkbox', 'Show', 'Show or hide the terms and conditions checkbox when creating short urls.', '["Show", "Hide"]', 'select', 'Short Url Config');

ALTER TABLE `language` ADD `isActive` INT( 1 ) NOT NULL DEFAULT '1' AFTER `isLocked`;
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'show_multi_language_selector', 'hide', 'Whether to show or hide the multi language selector on the site.', '["hide","show"]', 'select', 'Language');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'show_recent_urls', 'yes', 'Show the recent urls page. (displays all public urls)', '["yes","no"]', 'select', 'Page Options');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'site_theme_style', 'orange', 'Site theme style', '["blue", "cyan", "green", "grunge", "light_blue", "light_green", "lime", "navy", "orange", "pink", "purple", "red"]', 'select', 'Page Options');
