INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'logging_log_enabled', 'yes', 'Whether to enable logging or not. The /logs/ folder should have write permissions on it. (chmod 755 or 777)', '["yes","no"]', 'select', 'Logs');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'logging_log_type', 'Serious Errors Only', 'The types of log messages to store in the log files. \'Serious Errors Only\' will log the important ones. Ensure logging is enabled for this setting to work.', '["Serious Errors Only","Serious Errors and Warnings","All Error Types"]', 'select', 'Logs');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'logging_log_output', 'no', 'Whether to output serious errors to screen, if possible. Always set this to \'no\' for your live site.', '["yes","no"]', 'select', 'Logs');

ALTER TABLE `language_content` ADD INDEX ( `languageKeyId` );
ALTER TABLE `language_content` ADD INDEX ( `languageId` );

ALTER TABLE `shorturl` CHANGE `shortUrl` `shortUrl` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL;
ALTER TABLE `users` CHANGE `lastloginip` `lastloginip` VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL;

UPDATE `site_config` SET `config_description` = 'Type of short url redirection. If "Interstitial Ads", ensure you set the list of urls in the "interstitial_ad_urls" config item.',
`availableValues` = '["Direct", "Meta Delay Redirect", "Top Bar", "Bottom Bar", "Interstitial Ads"]' WHERE `config_key` ='redirect_type';
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'interstitial_ad_urls', 'http://domain.com\nhttp://domain.com', 'A list of urls to show when using interstitial ads, 1 url per line. Urls are randomly selected. You should set the config setting "redirect_type" to "Interstitial Ads" to enable this setting.', '', 'textarea', 'Adverts');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'interstitial_ad_countdown', '10', 'How many seconds to start the interstitial ads countdown at.', '', 'string', 'Adverts');
