INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'show_captcha_on_contact_form', 'no', 'Whether to display the captcha on the contact form.', '["yes","no"]', 'select', 'captcha');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'captcha_guests_only', 'no', 'Do you want the captcha to show when a registered user creates a short url?', '["yes","no"]', 'select', 'captcha');

UPDATE `site_config` SET `config_description` = 'Secret key for reCaptcha. Register at https://www.google.com/recaptcha', `config_value` = '6LexGQcTAAAAAPWwHBaxLVcHe4rHlMUCYGQ6z_An' WHERE `site_config`.`config_key` ='captcha_private_key';
UPDATE `site_config` SET `config_description` = 'Site key for reCaptcha. Register at https://www.google.com/recaptcha', `config_value` = '6LexGQcTAAAAABlQq6hIq6ZqGSL-rCcfjczpWZUB' WHERE  `site_config`.`config_key` ='captcha_public_key';

UPDATE `site_config` SET `config_key` = 'captcha_private_key' WHERE `site_config`.`config_key` ='captcha_private_key';

ALTER TABLE `users` ADD `privateUrlStatistics` INT(1) NOT NULL DEFAULT '0';
ALTER TABLE `shorturl` DEFAULT CHARACTER SET utf8 COLLATE utf8_bin;
ALTER TABLE `shorturl` CHANGE `shortUrl` `shortUrl` VARCHAR(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL;
ALTER TABLE `shorturl` CHANGE `originalUrl` `originalUrl` TEXT CHARACTER SET utf8 COLLATE utf8_bin NOT NULL;
ALTER TABLE `shorturl` CHANGE `createdIP` `createdIP` VARCHAR(15) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL;
ALTER TABLE `shorturl` CHANGE `password` `password` VARCHAR(32) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL;
ALTER TABLE `shorturl` CHANGE `status` `status` ENUM('active', 'expired', 'disabled', 'spam') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'active';
ALTER TABLE `shorturl` CHANGE `adminNotes` `adminNotes` TEXT CHARACTER SET utf8 COLLATE utf8_bin NOT NULL;

UPDATE `site_config` SET `config_group` = 'Email Settings' WHERE `config_key` = 'report_abuse_email';
UPDATE `site_config` SET `config_group` = 'Email Settings' WHERE `config_key` = 'default_email_address_from';
UPDATE `site_config` SET `config_key` = 'site_contact_form_email', `config_group` = 'Email Settings' WHERE `site_config`.`id` =25;
UPDATE `site_config` SET `config_description` = 'The email address where messages from the contact form will be sent.' WHERE `site_config`.`id` =25;

INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'non_user_show_upgrade_page', 'no', 'Show the premium account upgrade page for non logged in users.', '["yes","no"]', 'select', 'Non User Settings');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'free_user_show_upgrade_page', 'no', 'Show the premium account upgrade page for logged in free users.', '["yes","no"]', 'select', 'Free User Settings');
INSERT INTO `site_config` (`id`, `config_key`, `config_value`, `config_description`, `availableValues`, `config_type`, `config_group`) VALUES (NULL, 'paid_user_show_upgrade_page', 'no', 'Show the premium account upgrade page for paid users.', '["yes","no"]', 'select', 'Premium User Settings');

ALTER TABLE  `plugin` ADD  `load_order` INT( 11 ) NOT NULL DEFAULT  '999';

INSERT INTO site_config VALUES (NULL, 'cost_for_7_days_premium', '4.99', 'The cost for 7 days premium access. Without any curency symbol. i.e. 4.99', '', 'integer', 'Premium Pricing');
INSERT INTO site_config VALUES (NULL, 'cost_for_30_days_premium', '9.99', 'The cost for 30 days premium access. Without any curency symbol. i.e. 9.99', '', 'integer', 'Premium Pricing');
INSERT INTO site_config VALUES (NULL, 'cost_for_90_days_premium', '19.99', 'The cost for 90 days premium access. Without any curency symbol. i.e. 19.99', '', 'integer', 'Premium Pricing');
INSERT INTO site_config VALUES (NULL, 'cost_for_180_days_premium', '34.99', 'The cost for 180 days premium access. Without any curency symbol. i.e. 34.99', '', 'integer', 'Premium Pricing');
INSERT INTO site_config VALUES (NULL, 'cost_for_365_days_premium', '59.99', 'The cost for 365 days premium access. Without any curency symbol. i.e. 59.99', '', 'integer', 'Premium Pricing');

CREATE TABLE IF NOT EXISTS `payment_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `date_created` datetime NOT NULL,
  `amount` float(9,2) NOT NULL,
  `currency_code` varchar(3) NOT NULL,
  `from_email` varchar(255) NOT NULL,
  `to_email` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `request_log` text NOT NULL,
  `payment_method` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `date_created` (`date_created`),
  KEY `description` (`description`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `premium_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `payment_hash` varchar(32) NOT NULL,
  `days` int(11) NOT NULL,
  `amount` float NOT NULL,
  `order_status` enum('pending','cancelled','completed') NOT NULL,
  `date_created` datetime NOT NULL,
  `upgrade_url_id` int(11) NOT NULL,
  `upgrade_user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

