<?php
/* setup includes */
require_once('includes/master.inc.php');

// make sure this page is enabled
if (SITE_CONFIG_SHOW_RECENT_URLS == 'no')
{
    redirect('index.'.SITE_CONFIG_PAGE_EXTENSION);
}

/* setup page */
define("PAGE_NAME", t("recent_urls_page_name", "Recent Urls"));
define("PAGE_DESCRIPTION", t("recent_urls_meta_description", "Recent Urls"));
define("PAGE_KEYWORDS", t("recent_urls_meta_keywords", "recent, urls, home, shorturl, your, interface, short, url, site"));
define("SITE_SELECTED_PAGE", "recent_urls");

require_once('_header.php');

?>

<script>
    $=jQuery;
    oTable = null;
    $(document).ready(function() {
        oTable = $('#shortUrlData').dataTable( {
            "sPaginationType": "full_numbers",
            "bAutoWidth": false,
            "aoColumns": [
                { "bSortable": false, sClass: "alignCenter" },
                { "bSortable": false }
            ],
            "bFilter": false,
            "bLengthChange": false,
            "bServerSide": true,
            "bProcessing": true,
            "iDisplayLength": 30,
            "sAjaxSource": '_recent_urls.ajax.php',
            "fnRowCallback": function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
                return nRow;
            },
            "fnServerData": function ( sSource, aoData, fnCallback ) {
                $.ajax({
                    "dataType": 'json',
                    "type": "GET",
                    "url": "_recent_urls.ajax.php",
                    "data": aoData,
                    "success": fnCallback
                });
            }
        } );
    } );
    
    function reloadTable()
    {
        oTable.fnDraw();
    }
</script>

<div class="span12">
    <?php
    if (isSuccess())
    {
        echo outputSuccess();
    }
    elseif (isErrors())
    {
        echo outputErrors();
    }
    ?>
    <p>
        <?php echo t('recent_urls_intro_text', 'Listed below are all the recent active urls created as public on our site. <a href="index.[[[SITE_CONFIG_PAGE_EXTENSION]]]">Click here</a> to create a new short url.', array('SITE_CONFIG_PAGE_EXTENSION'=>SITE_CONFIG_PAGE_EXTENSION)); ?>
    </p>
    <div class="clear"><!-- --></div>

    <div class="recentUrlsWrapper">
        <p class="introText">
            <?php
                echo '<table id="shortUrlData" class="table table-bordered table-striped" width="100%" cellpadding="3" cellspacing="0">';
                echo '<thead>';
                echo '<th style="width: 135px; text-align: center;"class="ui-state-default">'.t('created', 'Created:').'</th>';
                echo '<th class="ui-state-default" style="text-align: left;">'.t('short_url', 'Short Url:').'</th>';
                echo '</thead>';
                echo '<tbody>';
                echo '</tbody>';
                echo '</table>';
            ?>
        </p>
        <div class="clear"></div>
    </div>
</div>


<?php
require_once('_footer.php');
?>